var gridManager = null;

$(document).ready(function () {
    initialize();
    bindEvent();
});
function initialize(){
    var mainFileTable = $('#nonProApplyInfoList').fileList();
    mainFileTable.find('table').css({
        borderTopWidth : 0
    });
    $('#nonProApplyInfoList').fileList({
        bizId : $("#attbizId").val()
    });
    let isDetailPage = ($("#isDetailPage").val() === "true");
    if (isDetailPage) {
        $("#jobPageTop").hide();
    }
   // $("[name='maintenanceType'][value='new']").prop("checked","checked");
    $('#businessUsage').attr('disabled', "disabled");
    UICtrl.disable($("#businessUsage"));
    var businessUsage = $("#businessUsage").find("checkbox");
    businessUsage.attr("disabled", "disabled");
    UICtrl.setDisable("#maintenanceType");
    if (applyType=="1") {

        $('#maintenanceType').attr('disabled', "disabled");
        UICtrl.disable($("#maintenanceType"));
        var maintenanceType = $("#maintenanceType").find("radio");
        maintenanceType.attr("disabled", "disabled");

    } else  if (applyType=="2") {
        UICtrl.disable($("#genericName"));
        UICtrl.disable($("#applicableStandard"));
        UICtrl.disable($("#baseUnit"));
        UICtrl.disable($("#specifications"));
        UICtrl.disable($("#material"));
        UICtrl.disable($("#design"));
        UICtrl.disable($("#size"));
        UICtrl.disable($("#brand"));
        UICtrl.disable($("#materialUsage"));
        UICtrl.disable($("#itemAttributes"));
        UICtrl.setDisable("#businessUsageDiv")
    }
}

/**
 * 流程引擎回调设置打样的id
 * @param value 打样申请的id
 */
function setId(id) {
    $("#id").val(id);
    $('#nonProApplyInfoList').fileList({
        bizId : id
    });
}

/**
 * 流程引擎获取打样申请id的回掉方法。
 * @return 打样申请的id
 */
function getId() {
    return $("#id").val() || "";
}

function bindEvent(){
    $('#baseUnit').searchbox({
        type: "system", name: "dictionary",
        getParam: function (item) {
            return {
                fieldName:"MEINS"
            }
        },
        onChange: function (value, data) {
            $('#baseUnit').val(data.MSEH3);
        }
    });
}